<?php
/**
 * Coppermine 1.6.x Plugin - filetypes_editor
 *
 * @copyright	Copyright (c) 2009 Nibbler
 * @license		GNU General Public License version 3 or later; see LICENSE
 *
 * @author		Nibbler (original)
 * @author		gaugau (25 Jan 2010)
 * @author		ron4mac (18 Dec 2018); version for CPG 1.6.x
 */
defined('IN_COPPERMINE') or die('Not in Coppermine...');

$thisplugin->add_action('page_start', 'fte_admin_menu_link');

// Add admin button to start of each page
function fte_admin_menu_link ()
{
	global $CONFIG, $lang_plugin_filetypes_editor, $template_gallery_admin_menu;

	if (!GALLERY_ADMIN_MODE) return;
	$block = 'update_database';		// we'll add it before the update database link
	$nblck = 'ftyp_editor';
	$new_template = $template_gallery_admin_menu;
	$button = template_extract_block($new_template, $block);
	$params = array(
		'href="update.php"' => 'href="index.php?file=filetypes_editor/editor"',
		'{UPDATE_DATABASE_TITLE}' => $lang_plugin_filetypes_editor['config_title'],
		'{UPDATE_DATABASE_LNK}' => $lang_plugin_filetypes_editor['config_name'],
		'{UPDATE_DATABASE_ICO}' => '<img src="./plugins/filetypes_editor/images/icons/filetype.png" width="16" height="16" border="0" alt="" class="icon" />'
	);
	$new_button = "<!-- BEGIN $nblck -->" . template_eval($button, $params) . "<!-- END $nblck -->\n";
	template_extract_block($template_gallery_admin_menu, $block, $new_button . "<!-- BEGIN $block -->" . $button . "<!-- END $block -->\n");
}
