<?php
/**
 * Coppermine 1.6.x Plugin - filetypes_editor
 *
 * @copyright	Copyright (c) 2009 Nibbler
 * @license		GNU General Public License version 3 or later; see LICENSE
 *
 * @author		Nibbler (original)
 * @author		gaugau (25 Jan 2010)
 * @author		ron4mac (18 Dec 2018); version for CPG 1.6.x
 */
defined('IN_COPPERMINE') or die('Not in Coppermine...');

$name = $lang_plugin_filetypes_editor['plugin_name'];
$description = $lang_plugin_filetypes_editor['plugin_description'];
$author = sprintf($lang_plugin_filetypes_editor['author'], 
	'<a href="http://forum.coppermine-gallery.net/index.php?action=profile;u=941" rel="external" class="external">Nibbler</a>',
	'<a href="http://forum.coppermine-gallery.net/index.php?action=profile;u=2" rel="external" class="external">Joachim Müller</a> and ron4mac');
$version = '2.2';
$plugin_cpg_version = array('min' => '1.6');
$fte_plgicon = '<img src="plugins/filetypes_editor/images/icons/filetype.png" width="16" height="16" border="0" alt="" class="icon" />';
$fte_annicon = cpg_fetch_icon('announcement', 1);
$extra_info = <<<EOT
	{$lang_plugin_filetypes_editor['plugin_extra']}
	<a href="index.php?file=filetypes_editor/editor" class="admin_menu">{$fte_plgicon}{$lang_plugin_filetypes_editor['config_name']}</a><br />
	<a href="http://forum.coppermine-gallery.net/index.php/topic,79569.0.htmll" title="&laquo;{$lang_plugin_filetypes_editor['plugin_name']}&raquo; - {$lang_plugin_filetypes_editor['announcement_thread']}" class="admin_menu external">{$fte_annicon}{$lang_plugin_filetypes_editor['announcement_thread']}</a>
EOT;

$install_info = <<<EOT
	{$lang_plugin_filetypes_editor['plugin_description_detail']}<br />&nbsp;<br />
	<a href="http://forum.coppermine-gallery.net/index.php/topic,79569.0.html" title="&laquo;{$lang_plugin_filetypes_editor['plugin_name']}&raquo; - {$lang_plugin_filetypes_editor['announcement_thread']}" class="admin_menu external">{$fte_annicon}{$lang_plugin_filetypes_editor['announcement_thread']}</a>
EOT;
