<?php
/**
 * Coppermine 1.6.x Plugin - filetypes_editor
 *
 * @copyright	Copyright (c) 2009 Nibbler
 * @license		GNU General Public License version 3 or later; see LICENSE
 *
 * @author		Nibbler (original)
 * @author		gaugau (25 Jan 2010)
 * @author		ron4mac (18 Dec 2018); version for CPG 1.6.x
 */
defined('IN_COPPERMINE') or die('Not in Coppermine...');

function fte_init() {
	global $CONFIG, $lang_plugin_filetypes_editor, $filetypes_editor_icon_array;
	if ($CONFIG['enable_menu_icons'] == 2) {
		$filetypes_editor_icon_array['audio'] = '<img src="./plugins/filetypes_editor/images/icons/audio.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['document'] = '<img src="./plugins/filetypes_editor/images/icons/document.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['image'] = '<img src="./plugins/filetypes_editor/images/icons/image.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['movie'] = '<img src="./plugins/filetypes_editor/images/icons/movie.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['qt'] = '<img src="./plugins/filetypes_editor/images/icons/quicktime.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['rmp'] = '<img src="./plugins/filetypes_editor/images/icons/real.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['swf'] = '<img src="./plugins/filetypes_editor/images/icons/flash.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['wmp'] = '<img src="./plugins/filetypes_editor/images/icons/wmp.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['htmla'] = '<img src="./plugins/filetypes_editor/images/icons/html5.png" border="0" width="16" height="16" alt="" class="icon" />';
		$filetypes_editor_icon_array['htmlv'] = $filetypes_editor_icon_array['htmla'];
	} else {
		$filetypes_editor_icon_array['audio'] = '';
		$filetypes_editor_icon_array['document'] = '';
		$filetypes_editor_icon_array['image'] = '';
		$filetypes_editor_icon_array['movie'] = '';
		$filetypes_editor_icon_array['qt'] = '';
		$filetypes_editor_icon_array['rmp'] = '';
		$filetypes_editor_icon_array['swf'] = '';
		$filetypes_editor_icon_array['wmp'] = '';
		$filetypes_editor_icon_array['htmla'] = '';
		$filetypes_editor_icon_array['htmlv'] = '';
	}
	if ($CONFIG['enable_menu_icons'] >= 1) {
		$filetypes_editor_icon_array['filetype'] = '<img src="./plugins/filetypes_editor/images/icons/filetype.png" width="16" height="16" border="0" alt="" class="icon" />';
	} else {
		$filetypes_editor_icon_array['filetype'] = '';
	}
	$filetypes_editor_icon_array['announcement'] = cpg_fetch_icon('announcement', 1);
	$filetypes_editor_icon_array['plugin_manager'] = cpg_fetch_icon('plugin_mgr', 2);
	$filetypes_editor_icon_array['edit'] = cpg_fetch_icon('edit',0);
	$filetypes_editor_icon_array['add'] = cpg_fetch_icon('add',2);
	$filetypes_editor_icon_array['delete'] = cpg_fetch_icon('delete',2);
	$filetypes_editor_icon_array['ok'] = cpg_fetch_icon('ok',2);
	$filetypes_editor_icon_array['cancel'] = cpg_fetch_icon('cancel',2);
	$filetypes_editor_icon_array['none'] = cpg_fetch_icon('cancel',2);
	$return['language'] = $lang_plugin_filetypes_editor;
	$return['icon'] = $filetypes_editor_icon_array;
	return $return;
}
